[arch-commits] Commit in python-sympy/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Fri Jul 7 07:27:23 UTC 2017


    Date: Friday, July 7, 2017 @ 07:27:23
  Author: felixonmars
Revision: 242703

archrelease: copy trunk to community-any

Added:
  python-sympy/repos/community-any/PKGBUILD
    (from rev 242702, python-sympy/trunk/PKGBUILD)
Deleted:
  python-sympy/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  134 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 67 insertions(+), 67 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2017-07-07 07:26:56 UTC (rev 242702)
+++ PKGBUILD	2017-07-07 07:27:23 UTC (rev 242703)
@@ -1,67 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: Angel 'angvp' Velasquez <angvp[at]archlinux.com.ve>  
-# Contributor: Peter Garceau <RockyChimp at gmail.com>
-
-pkgbase=python-sympy
-pkgname=('python-sympy' 'python2-sympy')
-pkgver=1.0
-pkgrel=2
-arch=('any')
-pkgdesc='Symbolic manipulation package (Computer Algebra System), written in pure Python'
-url='http://sympy.org/en/index.html'
-license=('BSD')
-makedepends=('python2-mpmath' 'python-mpmath' 'python-setuptools' 'python2-setuptools' 'git')
-source=("git+https://github.com/sympy/sympy.git#tag=sympy-$pkgver")
-sha512sums=('SKIP')
-
-prepare() {
-  cp -a sympy{,-py2}
-}
-
-build() {
-  cd "$srcdir"/sympy
-  python setup.py build
-
-  cd "$srcdir"/sympy-py2
-  python2 setup.py build
-}
-
-check() {
-  # Broken, waiting for upstream fixes.
-
-  cd "$srcdir"/sympy
-  python setup.py test || warning "Exit code: $?"
-
-  cd "$srcdir"/sympy-py2
-  python2 setup.py test || warning "Exit code: $?"
-}
-
-package_python-sympy() {
-  depends=('python-mpmath')
-  optdepends=('ipython: user friendly interface for isympy')
-
-  cd sympy
-
-  python setup.py install --root "$pkgdir" --optimize=1
-
-  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}
-
-package_python2-sympy() {
-  depends=('python2-mpmath')
-  optdepends=('python2-pyglet: plotting'
-              'ipython2: user friendly interface for isympy')
-
-  cd sympy-py2
-
-  python2 setup.py install --root "$pkgdir" --optimize=1
-
-  # rename files that exists in both 'python-sympy' and 'python2-sympy'
-  mv "$pkgdir"/usr/bin/isympy{,2}
-  mv "$pkgdir"/usr/share/man/man1/isympy{,2}.1
-
-  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}

Copied: python-sympy/repos/community-any/PKGBUILD (from rev 242702, python-sympy/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2017-07-07 07:27:23 UTC (rev 242703)
@@ -0,0 +1,67 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: Angel 'angvp' Velasquez <angvp[at]archlinux.com.ve>  
+# Contributor: Peter Garceau <RockyChimp at gmail.com>
+
+pkgbase=python-sympy
+pkgname=('python-sympy' 'python2-sympy')
+pkgver=1.1
+pkgrel=1
+arch=('any')
+pkgdesc='Symbolic manipulation package (Computer Algebra System), written in pure Python'
+url='http://sympy.org/en/index.html'
+license=('BSD')
+makedepends=('python2-mpmath' 'python-mpmath' 'python-setuptools' 'python2-setuptools' 'git')
+source=("git+https://github.com/sympy/sympy.git#tag=sympy-$pkgver")
+sha512sums=('SKIP')
+
+prepare() {
+  cp -a sympy{,-py2}
+}
+
+build() {
+  cd "$srcdir"/sympy
+  python setup.py build
+
+  cd "$srcdir"/sympy-py2
+  python2 setup.py build
+}
+
+check() {
+  # Broken, waiting for upstream fixes.
+
+  cd "$srcdir"/sympy
+  python setup.py test || warning "Exit code: $?"
+
+  cd "$srcdir"/sympy-py2
+  python2 setup.py test || warning "Exit code: $?"
+}
+
+package_python-sympy() {
+  depends=('python-mpmath')
+  optdepends=('ipython: user friendly interface for isympy')
+
+  cd sympy
+
+  python setup.py install --root "$pkgdir" --optimize=1
+
+  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python2-sympy() {
+  depends=('python2-mpmath')
+  optdepends=('python2-pyglet: plotting'
+              'ipython2: user friendly interface for isympy')
+
+  cd sympy-py2
+
+  python2 setup.py install --root "$pkgdir" --optimize=1
+
+  # rename files that exists in both 'python-sympy' and 'python2-sympy'
+  mv "$pkgdir"/usr/bin/isympy{,2}
+  mv "$pkgdir"/usr/share/man/man1/isympy{,2}.1
+
+  install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}



More information about the arch-commits mailing list